@echo off

rem dependent on strings.com in same directory
rem  as menu.bat file

rem this is example code for modification

:start
cls
echo.
echo MENU
echo.
echo 1. FPS Menu
echo 2. Screen Menu
echo 3. DOS
echo.
echo Choice?
choice /c:123 /n
if errorlevel 3 goto prompt
if errorlevel 2 goto Screen
if errorlevel 1 goto FPS
goto start

:Screen
echo.
echo DOSBox Screen Settings
echo.
echo Use Alt-Enter to alternate window and fullscreen modes
echo.
echo 1. No Scaler
echo 2. Scaler Normal-2x
echo 3. Scaler Normal-3x
echo 4. Scaler HQ-2x
echo 5. Scaler HQ-3x
echo 6. Screen Parameters
echo X. Return to Start Menu
echo.
echo Choice?
choice /c:123456X /n
if errorlevel 7 goto start
if errorlevel 6 goto PrintOut
if errorlevel 5 goto Hq3x
if errorlevel 4 goto Hq2x
if errorlevel 3 goto Normal3x
if errorlevel 2 goto Normal2x
if errorlevel 1 goto NoScaler
goto start

:NoScaler
echo.
config -set windowresolution original
config -set scaler none forced
echo.
goto Screen

:Normal2x
echo.
config -set windowresolution original
config -set scaler normal2x forced
echo.
goto Screen

:Normal3x
echo.
config -set windowresolution original
config -set scaler normal3x forced
echo.
goto Screen

:Hq2x
echo.
config -set windowresolution original
config -set scaler hq2x forced
echo.
goto Screen

:Hq3x
echo.
config -set windowresolution original
config -set scaler hq3x forced
echo.
goto Screen

:PrintOut
echo.
echo.
echo window resolution:
config -get windowresolution
echo.
echo.
echo output mode:
config -get output
echo.
echo.
echo scaler method:
config -get scaler
echo.
echo.
pause
goto Screen

:FPS
cls
echo.
echo FPS
echo.
echo 1. Quake 1
echo 2. Doom Menu
echo X. Return to Start Menu
echo.
echo Choice?
choice /c:12X /n
if errorlevel 3 goto start
if errorlevel 2 goto Doom
if errorlevel 1 goto Quake1
goto start

:Doom
echo.
echo DOOM
echo 1. Doom 2
echo 2. List Wad Files
echo 3. List Dehacked Files
echo X. Return to FPS Menu
echo.
echo Choice?
choice /c:123X /n
echo.
if errorlevel 4 goto FPS
if errorlevel 3 goto ListDeh
if errorlevel 2 goto ListWads
if errorlevel 1 goto Doom2
goto start

:ListWads
cd c:\doom2
dir /wp /a-d *.wad
cd ..
goto Doom

:ListDeh
cd c:\doom2
dir /wp /a-d *.deh
cd ..
goto Doom

:Doom2
.\strings.com wadname = ASK Enter custom wad file names if any: ,64
rem .\strings.com dehname = ASK Enter dehacked file name if any: ,64
pause
cd c:\doom2
call doom2.exe -file %wadname%
echo.
pause
cd ..
goto Doom

:Quake1
cls
echo QUAKE 1
echo List of game directories
dir /wp /ad c:\quake
echo.
echo List of maps in ID1
dir /wp /a-d c:\quake\id1\maps\*.bsp
echo.
pause
cd c:\quake
call quake.exe
echo.
pause
cd ..
goto FPS

:prompt
cls
echo.
